ViennaCL - The Vienna Computing Library: detail Namespace Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
detail Namespace Reference

## Functions
template<typename ScalarType , typename MatrixTypeA , typename MatrixTypeB , typename MatrixTypeC >
void | gemm_dispatch (ScalarType alpha, MatrixTypeA const &A, ViennaCLTranspose transA, MatrixTypeB const &B, ViennaCLTranspose transB, ScalarType beta, MatrixTypeC &C)
template<typename NumericT >
ViennaCLStatus | ViennaCLHostgemm_impl (ViennaCLBackend, ViennaCLOrder orderA, ViennaCLTranspose transA, ViennaCLOrder orderB, ViennaCLTranspose transB, ViennaCLOrder orderC, ViennaCLInt m, ViennaCLInt n, ViennaCLInt k, NumericT alpha, NumericT *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, NumericT *B, ViennaCLInt offB_row, ViennaCLInt offB_col, ViennaCLInt incB_row, ViennaCLInt incB_col, ViennaCLInt ldb, NumericT beta, NumericT *C, ViennaCLInt offC_row, ViennaCLInt offC_col, ViennaCLInt incC_row, ViennaCLInt incC_col, ViennaCLInt ldc)

## Function Documentation

template<typename ScalarType , typename MatrixTypeA , typename MatrixTypeB , typename MatrixTypeC >

void detail::gemm_dispatch | ( | ScalarType | alpha,
|  | MatrixTypeA const & | A,
|  | ViennaCLTranspose | transA,
|  | MatrixTypeB const & | B,
|  | ViennaCLTranspose | transB,
|  | ScalarType | beta,
|  | MatrixTypeC & | C
| ) |  |

Definition at line 39 of file blas3.hpp.

template<typename NumericT >

ViennaCLStatus detail::ViennaCLHostgemm_impl | ( | ViennaCLBackend | ,
|  | ViennaCLOrder | orderA,
|  | ViennaCLTranspose | transA,
|  | ViennaCLOrder | orderB,
|  | ViennaCLTranspose | transB,
|  | ViennaCLOrder | orderC,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | ViennaCLInt | k,
|  | NumericT | alpha,
|  | NumericT * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | NumericT * | B,
|  | ViennaCLInt | offB_row,
|  | ViennaCLInt | offB_col,
|  | ViennaCLInt | incB_row,
|  | ViennaCLInt | incB_col,
|  | ViennaCLInt | ldb,
|  | NumericT | beta,
|  | NumericT * | C,
|  | ViennaCLInt | offC_row,
|  | ViennaCLInt | offC_col,
|  | ViennaCLInt | incC_row,
|  | ViennaCLInt | incC_col,
|  | ViennaCLInt | ldc
| ) |  |

Definition at line 41 of file blas3_host.cpp.